/*
 * nr|X^wUWOOO p[\iEBhE䃉Cu[
 *
 * wb_[t@C	By Masahiko Ito <m-ito@myh.no-ip.org>
 *			   Masahiko Ito <m-ito@mbox.kyoto-inet.or.jp>
 *
 *			2018/09/11 VER.1.00	first release
 * 
 */
#define		MSK_STDIN	1
#define		MSK_STDOUT	2
#define		MSK_STDERR	4

#define		MSK_BUTTON_ON	0x00000001
#define		MSK_ACTIVE_WIN	0x80000000

#define		WIN_PRIORITY_TOP	0
#define		WIN_PRIORITY_BOTTOM	(-1)

typedef	struct st_pwin{
	int		level;
	int		path;
	int		sigbase;
	int		sigmask;
	struct st_pwin	*mastwin;
	struct st_pwin	*prewin;
	struct st_pwin	*nextwin;
	char	*title;
	int		left;
	int		top;
	int		width;
	int		height;
	int		mapmode;
	int		winmode;
	int		status;
	struct st_pwcntl	*pwcntl;
}	PWIN;

extern int		PwInitWin();
extern int		PwTermWin();
extern PWIN		*PwGetRootWin();
extern PWIN		*PwGetMasterWin();
extern PWIN		*PwCreateWin();
extern int		PwSetWinAttr();
extern int		PwSetWinTitle();
extern int		PwSetStdPath();
extern int		PwOpenWin();
extern int		PwCloseWin();
extern int		PwDestroyWin();
extern int		PwMoveWin();
extern int		PwRedrawWin();
extern int		PwGetWinPath();
extern int		PwResizeWin();
extern int		PwGetWinStatus();
extern int		PwClearWinArea();
extern int		PwClearWin();
extern int		PwFlushWinArea();
extern int		PwFlushWin();
extern int		PwGetWinImage();
extern int		PwPutWinImage();
extern int		PwChangeWinPriority();
extern int		PwLockWin();
extern int		PwUnlockWin();
extern int		PwPutString();
extern int		PwGetMousePosition();
extern int		PwSetCursorPattern();
extern int		PwSetCursorSpeed();
extern int		PwSetTextMargin();
/* -----------     NOT RELEASED    ----------------
extern int		PwSetWinBackground();
extern int		PwGetWinBackground();
extern int		PwGetCursorPattern();
--------------------------------------------------- */
