/*
 * nr|X^wUWOOO p[\iEBhEpOtBbNCu[p
 *
 * wb_[t@C	By Masahiko Ito <m-ito@myh.no-ip.org>
 *			   Masahiko Ito <m-ito@mbox,kyoto-inet.or.jp>
 *
 *			1991/05/12 VER.0.00	create
 *			2018/09/11 VER.1.00	first release
 */
#define		PWGETROW(width)	(((width) / 16 + ((width) % 16 == 0 ? 0 : 1)) * 2)

#define		DM_NOT		0
#define		DM_OR		1
#define		DM_XOR		2
#define		DM_COPY		3

#define		FLS_NORMAL	0
#define		FLS_REVERSE	(-1)
#define		FLS_NONE	1

#define		DQ_OFF		0
#define		DQ_ON		1

#define		CQ_OFF		0
#define		CQ_ON		1

#define		MAXPENROW		2
#define		MAXPENWIDTH		16
#define		MAXPENHEIGHT	16

#define		FILLUP		1
#define		FILLDOWN	2
#define		FILLDRAW	4
#define		FILLQUESZ	512
#define		ON			1
#define		OFF			0

typedef struct st_fillque{
	int		dir_flag;
	int		left;
	int		right;
	int		y;
} FILLQUE;

/* ӁF\̂ύXꍇ PwDrapP.a ύX̕KvL */
typedef	struct st_pwgmap{
	int		path;
	int		windowleft;
	int		windowtop;
	int		windowwidth;
	int		windowheight;
	unsigned char	*mapaddress;
	int		maprow;
	int		mapwidth;
	int		mapheight;
	int		penwidth;
	int		penheight;
	unsigned char	source[MAXPENHEIGHT][MAXPENROW];
	unsigned char	penform[MAXPENHEIGHT][MAXPENROW];
	unsigned char	foreground[MAXPENHEIGHT][MAXPENROW];
	unsigned char	background[MAXPENHEIGHT][MAXPENROW];
	int		drawmode;
	int		flushmode;
	int		drawquick;
	int		clearquick;
} PWGMAP;

extern PWGMAP *PwCreateMap();
extern int	PwResizeMap();
extern int	PwSetMapWindow();
extern int	PwSetMapWin();
extern int	PwSetPenSize();
extern int	PwSetPenForm();
extern int	PwSetForeground();
extern int	PwSetBackground();
extern int	PwSetDrawMode();
extern int	PwSetFlushMode();
extern int	PwDestroyMap();
extern int	PwDrawP();
extern int	PwDrawPoint();
extern int	PwDrawL();
extern int	PwDrawLine();
extern int	PwFlushArea();
extern int	PwFlushMap();
extern int	PwClearArea();
extern int	PwClearMap();
extern int	PwDrawRectangle();
extern int	PwFillRectangle();
extern int	PwDrawArc();
extern int	PwFillArc();
extern int	PwGetPoint();
extern int	PwGetWindowArea();
extern int	PwGetWindowMap();
extern int	PwGetBitMap();
extern int	PwCopyArea();
extern int	PwDrawWedge();
extern int	PwFillField();
